Package ru.bitel.oss.systems.inventory.resource.common.event

# Class IpResourceModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.oss.systems.inventory.resource.common.event.IpResourceModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class IpResourceModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.Event

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IpResourceModifiedEvent()`
  ``
  `IpResourceModifiedEvent(int moduleId, int userId, int ipResourceCategoryId, int ipResourceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIpResourceCategoryId()`
  `int`
  `getIpResourceId()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceModifiedEvent

    protected IpResourceModifiedEvent()

  - ### IpResourceModifiedEvent

    public IpResourceModifiedEvent(int moduleId, int userId, int ipResourceCategoryId, int ipResourceId)

- ## Method Details

  - ### getIpResourceId

    public int getIpResourceId()

  - ### getIpResourceCategoryId

    public int getIpResourceCategoryId()